Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028821
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2015-01-30 11:482015-02-04 20:35
ReportercaristuView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision8a78ed28a394
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028821: HQL Where Clause in Process Request window is not properly set

DescriptionWith the followin changeset:

https://code.openbravo.com/erp/devel/pi/rev/65851df62541#l6.16 [^]

The HQL Where Clause in Process Request is modified. Before the changeset only background processes were allowed, this restriction is currently reflected in the sql where clause but not in the hql where clause.

Both where clause should display the same information
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0074020)
aferraz (developer)
2015-02-03 12:35

Test Plan:

- Go to Process Request window and clear filters
- Realize processes marked as not background don't appear now
(0074066)
hgbot (developer)
2015-02-04 09:46

Repository: erp/devel/pi
Changeset: 8a78ed28a39413ffff07846879fa605ad9da107b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Feb 03 15:27:01 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8a78ed28a39413ffff07846879fa605ad9da107b [^]

Fixes issue 28821: Process Request window should display background processes

HQL Where Clause in Process Request window should display background processes only. Now, both HQL Where Clause and SQL Where Clause have the same logic.

---
M src-db/database/sourcedata/AD_TAB.xml
---
(0074067)
umartirena (developer)
2015-02-04 09:47

Code Review + Testing OK
(0074216)
hudsonbot (developer)
2015-02-04 20:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-30 11:48 caristu New Issue
2015-01-30 11:48 caristu Assigned To => dmiguelez
2015-01-30 11:48 caristu Modules => Core
2015-01-30 11:48 caristu Triggers an Emergency Pack => No
2015-01-30 11:49 caristu Assigned To dmiguelez => AtulOpenbravo
2015-01-30 11:49 caristu Issue Monitored: networkb
2015-02-03 10:03 aferraz Assigned To AtulOpenbravo => aferraz
2015-02-03 12:35 aferraz Note Added: 0074020
2015-02-04 09:46 hgbot Checkin
2015-02-04 09:46 hgbot Note Added: 0074066
2015-02-04 09:46 hgbot Status new => resolved
2015-02-04 09:46 hgbot Resolution open => fixed
2015-02-04 09:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8a78ed28a39413ffff07846879fa605ad9da107b [^]
2015-02-04 09:47 umartirena Review Assigned To => umartirena
2015-02-04 09:47 umartirena Note Added: 0074067
2015-02-04 09:47 umartirena Status resolved => closed
2015-02-04 09:47 umartirena Fixed in Version => pi
2015-02-04 20:35 hudsonbot Checkin
2015-02-04 20:35 hudsonbot Note Added: 0074216


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker